C# 클래스 Revit.SDK.Samples.MaterialProperties.CS.MaterialProperties

상속: Autodesk.Revit.UI.IExternalCommand
파일 보기 프로젝트 열기: AMEE/revit 1 사용 예제들

공개 메소드들

메소드 설명
ChangeUnitWeight ( ) : bool

change unit weight of selected component to 14.50 kN/m3

Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

GetParameterTable ( object o, MaterialType substanceKind ) : DataTable

get a datatable contains parameters' information of certain element

SetMaterial ( ) : void

set the material of selected component

UpdateMaterial ( object obj ) : void

Update cache material

비공개 메소드들

메소드 설명
AddDataRow ( string parameterName, string parameterValue, DataTable parameterTable ) : void

add one row to datatable of parameter

CreateTable ( ) : DataTable

Create an empty table with parameter's name column and value column

GetAllMaterial ( ) : void

get all materials exist in current document

GetCurrentMaterial ( ) : Autodesk.Revit.DB.Autodesk.Revit.DB.Material

get current material of selected component

GetSelectedComponent ( ) : void

get selected beam, column or brace

Init ( ) : bool

firstly, check whether only one beam, column or brace is selected then initialize some member variables

메소드 상세

ChangeUnitWeight() 공개 메소드

change unit weight of selected component to 14.50 kN/m3
public ChangeUnitWeight ( ) : bool
리턴 bool

Execute() 공개 메소드

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
리턴 Autodesk.Revit.UI.Result

GetParameterTable() 공개 메소드

get a datatable contains parameters' information of certain element
public GetParameterTable ( object o, MaterialType substanceKind ) : DataTable
o object Revit element
substanceKind MaterialType the material type of this element
리턴 System.Data.DataTable

SetMaterial() 공개 메소드

set the material of selected component
public SetMaterial ( ) : void
리턴 void

UpdateMaterial() 공개 메소드

Update cache material
public UpdateMaterial ( object obj ) : void
obj object new material
리턴 void